petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscSortRemoveDupsInt

Sorts an array of integers in place in increasing order removes all duplicate entries

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSortRemoveDupsInt(PetscInt *n,PetscInt ii[])

Not Collective

### Input Parameters

| n | - number of values
| ii | - array of integers

### Output Parameter

n -number of non-redundant values

### See Also

PetscSortReal(), PetscSortIntWithPermutation(), PetscSortInt()

Level:intermediate
Location:src/sys/utils/sorti.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages